Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
pirates0511

Nhờ Các Bác Sửa Giúp Lại Cái Lips Ghi Độ Dài Nhiều Đoạn Thẳng Cùng Một Lúc Em Với

Các bài được khuyến nghị

pirates0511    4

nhờ các bác sửa giúp lại cái lips ghi độ dài trên em với. em muốn nó:

1. ghi với cả nét Polyline (lips trên chỉ ghi với Line),

2. chữ dạng text cao 3,5 (không phải dim)

3. là 1 layer mới (ví dụ layer "ghi kích thước" và có màu đỏ) để tiện ẩn đi.

http://www.cadviet.com/upfiles/7/135455_qdd_1.lsp

 

;; free lisp from cadviet.com
(defun c:qdd(/ s sp 3d i dxf rAng rSup e obj) (vl-load-com)
;Quick dim Lines @ketxu 10/2016
(cond
((setq s (ssget '((0 . "LINE")))) 
(setq sp (vlax-get (setq ac (vla-get-activedocument (vlax-get-acad-object)))
(if (> (vla-get-activespace  ac) 0) 'ModelSpace 'PaperSpace)) 
3d vlax-3d-point
i -1
dxf (lambda(i e)(cdr (assoc i (entget e))))
rAng (lambda(a)(if (and (> a (/ pi 2.)) (<= a (* pi 1.5)))(+ a pi) a))
rSup (lambda(p)(vlax-put-property obj p 1))
 
)
(while (setq e (ssname s (setq i (1+ i))))
(setq obj 
(vla-adddimaligned sp 
(3d (setq p1 (dxf 10 e))) 
                    (3d (setq p2 (dxf 11 e)))     
(3d (polar p1 (+ (angle p1 p2) (/ pi 2.)) 0))
                )
)
(vla-put-Textrotation obj (rAng (angle p1 p2)))
(vla-put-TextOverride obj "<>\\P   ")
(mapcar 'rSup '(DimLine1Suppress DimLine2Suppress ExtLine1Suppress ExtLine2Suppress))
)
)
))
  • Vote giảm 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
quansla    232

không có bác nào giúp em với ạ T_T

Quan trọng nhất là ghi với nét Polyline, còn cái khác được thì tốt, ko được cũng ko sao

Không tải được file nhé thớt

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay


×